diff --git a/SDL/SDLMain.cpp b/SDL/SDLMain.cpp
index f91926fd4..962ccf967 100644
--- a/SDL/SDLMain.cpp
+++ b/SDL/SDLMain.cpp
@@ -651,13 +651,13 @@ int main(int argc, char *argv[]) {
 #endif
 
 	if (mode & SDL_WINDOW_FULLSCREEN_DESKTOP) {
-		pixel_xres = g_DesktopWidth;
-		pixel_yres = g_DesktopHeight;
+		pixel_xres = 320;
+		pixel_yres = 240;
 		g_Config.iForceFullScreen = 1;
 	} else {
 		// set a sensible default resolution (2x)
-		pixel_xres = 480 * 2 * set_scale;
-		pixel_yres = 272 * 2 * set_scale;
+		pixel_xres = 320;
+		pixel_yres = 240;
 		if (portrait) {
 			std::swap(pixel_xres, pixel_yres);
 		}
